Bug 490385 - Add wide screen modes to xorg-server by updating "extramodes"
Add wide screen modes to xorg-server by updating "extramodes"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-15 19:50 EDT by M Frost
Modified: 2009-12-18 04:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:01:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log log file (24.90 KB, text/plain)
2009-06-05 14:52 EDT, M Frost
no flags Details
xorg configuration (877 bytes, text/plain)
2009-06-05 14:54 EDT, M Frost
no flags Details

  None (edit)
Description M Frost 2009-03-15 19:50:12 EDT
Description of problem:
1920x1200 screen mode is not supported by the standard list of modes

Version-Release number of selected component (if applicable):
1.5.3-13

How reproducible:
Without fail

Steps to Reproduce:
1. Use screen and graphics card capable of 1920x1200
2. start system-config-display
3.
  
Actual results:
1920x1200 is not available

Expected results:
1920x1200 should be available

Additional info:
Monitor is Samsung SyncMaster 2443BW
Graphics card is nVidia GeForce4 MX 4000

use standard "nv" driver or the livna nvidia  driver

Digging through the source code it is clear that neither the vesamodes nor the extramodes files define any 1920x1200 modes. I have successfully added 1920x1200 at 60Hz to the xorg.conf file, but less persistent users will find this difficult. The 1920x1200 and other widescreen modes should be in the baseline set of modes.
Comment 1 Ben Skeggs 2009-05-02 23:01:15 EDT
Can you post your /var/log/Xorg.0.log file please?  If your VBIOS hasn't programmed the panel for 1920x1200 nv will reject the modes as it doesn't have the code to reprogram it, I'd say that's what's happening here.
Comment 2 M Frost 2009-06-05 14:52:28 EDT
Created attachment 346702 [details]
Xorg.0.log log file

This is the version that works in wide screen with the modified xorg.conf
Comment 3 M Frost 2009-06-05 14:54:21 EDT
Created attachment 346703 [details]
xorg configuration

The modified xorg.conf file that specifies the 1920x1200 widescreeen mode. Parameters derived from CVTd6r1.xls obtained from internet.
Comment 4 Bug Zapper 2009-11-18 06:21:06 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 04:01:51 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.